> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Archived Payroll Items

> Returns a paginated, searchable list of archived payroll reporting items.

Required scope: `payroll:read`. It also needs `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-archived-payroll-items
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-archived-payroll-items:
    get:
      operationId: getArchivedPayrollItems
      summary: Get Archived Payroll Items
      x-toku-required-scope: payroll:read
      description: >-
        Returns a paginated, searchable list of archived payroll reporting
        items.


        Required scope: `payroll:read`. It also needs `compensation:read`.
      parameters:
        - name: page
          in: query
          required: true
          schema:
            type: integer
            minimum: 0
        - name: rowsPerPage
          in: query
          required: true
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - name: searchTerm
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetArchivedPayrollItemsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetArchivedPayrollItemsResponse:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              itemType:
                type: string
                enum:
                  - VESTING
                  - LOCKUP
                  - WARRANT_LOCKUP
              organizationName:
                type: string
              archivedAt:
                type: string
              reason:
                type: string
              recipientName:
                type: string
              recipientID:
                type: string
              country:
                type:
                  - string
                  - 'null'
              grantName:
                type: string
              grantID:
                type: string
              warrantID:
                type: string
              sequenceNumber:
                type: integer
              eventDate:
                type: string
              settledDate:
                type:
                  - string
                  - 'null'
              vestingAmount:
                type: string
              token:
                type:
                  - string
                  - 'null'
              currency:
                type:
                  - string
                  - 'null'
              fmv:
                type: string
              grossGain:
                type: string
              taxRate:
                type: string
              totalTax:
                type: string
              tokensWithheld:
                type: string
              netTokens:
                type: string
              netFiatAmount:
                type: string
            required:
              - id
              - itemType
              - organizationName
              - archivedAt
              - reason
        pagination:
          type: object
          properties:
            page:
              type: integer
            rowsPerPage:
              type: integer
            totalCount:
              type: integer
          required:
            - page
            - rowsPerPage
            - totalCount
      required:
        - items
        - pagination
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
